/**
 * v-loadmore 下拉框远程搜索触底加载（实现懒加载）
 */

export default {
  bind(el, binding) {
    // 下拉框对象
    const SELECTWRAP_DOM = el.querySelector(
      ".el-select-dropdown .el-select-dropdown__wrap"
    );
    // 给下拉框增加滚动监听，
    SELECTWRAP_DOM.addEventListener("scroll", function () {
      // scrollHeight:当前所有选项的高度
      // scrollTop:滚动的距离
      // clientHeight:下拉框的高度
      const condition = this.scrollHeight - this.scrollTop <= this.clientHeight;
      // 当滚动条滚动到最底下的时候执行接口加载下一页
      if (condition) {
        binding.value();
      }
    });
  },
};
